Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1781999 (CVE-2019-13752) - CVE-2019-13752 sqlite: fts3: improve shadow table corruption detection
Summary: CVE-2019-13752 sqlite: fts3: improve shadow table corruption detection
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-13752
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1782011 1782012 1782013 1786524 1786525 1786526 1786528 1786529
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-11 01:05 UTC by Pedro Sampaio
Modified: 2021-02-16 20:53 UTC (History)
17 users (show)

Fixed In Version: chromium-browser 79.0.3945.79
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-16 14:10:45 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:4238 0 None None None 2019-12-16 09:09:05 UTC
Red Hat Product Errata RHSA-2020:1810 0 None None None 2020-04-28 15:55:16 UTC

Description Pedro Sampaio 2019-12-11 01:05:20 UTC
An out of bounds read flaw was found in the SQLite component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=1025470

External References:

https://chromereleases.googleblog.com/2019/12/stable-channel-update-for-desktop.html

Comment 1 Pedro Sampaio 2019-12-11 01:20:25 UTC
Created chromium tracking bugs for this issue:

Affects: epel-7 [bug 1782013]
Affects: fedora-all [bug 1782012]

Comment 3 errata-xmlrpc 2019-12-16 09:09:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4238 https://access.redhat.com/errata/RHSA-2019:4238

Comment 4 Product Security DevOps Team 2019-12-16 14:10:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13752

Comment 7 Huzaifa S. Sidhpurwala 2019-12-26 04:38:27 UTC
Created mingw-sqlite tracking bugs for this issue:

Affects: epel-all [bug 1786526]
Affects: fedora-all [bug 1786525]


Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1786524]

Comment 9 errata-xmlrpc 2020-04-28 15:55:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1810 https://access.redhat.com/errata/RHSA-2020:1810


Note You need to log in before you can comment on or make changes to this bug.